%global momorel 3
%global srcname openexr

Summary: A high-dynamic-range image file library
Name: OpenEXR
Version: 1.6.1
Release: %{momorel}m%{?dist}
License: Modified BSD
URL: http://www.openexr.org/
Group: System Environment/Libraries
Source0: http://savannah.nongnu.org/download/openexr/%{srcname}-%{version}.tar.gz 
NoSource: 0
Patch0: %{name}-%{version}-pkgconfig.patch
Patch1: %{srcname}-1.4.0-gcc43.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildPreReq: autoconf
BuildPreReq: automake
BuildPreReq: fltk-devel
BuildPreReq: ilmbase-devel
BuildPreReq: libtool
BuildPreReq: pkgconfig
BuildPreReq: zlib-devel

%description
OpenEXR is an image file format and library developed by Industrial Light & Magic, and later released to the public. It provides support for high dynamic range and a 16-bit floating point "half" data type which is compatible with the half data type in the Cg programming language.

%package devel
Summary: Headers for developing programs that will use %{name}.
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: ilmbase-devel
Requires: pkgconfig

%description devel
This package contains the static libraries and header files needed for
developing applications with OpenEXR.

%prep
%setup -q -n %{srcname}-%{version}

%patch0 -p1 -b .pkgconfig
%patch1 -p1 -b .gcc43~

./bootstrap

%build
%configure

# hack to omit unused-direct-shlib-dependencies
sed -i -e 's! -shared ! -Wl,--as-needed\0!g' libtool

%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
%makeinstall

# get rid of *.la files
rm -f %{buildroot}%{_libdir}/lib*.la

# cleanup docs
rm -rf IlmImfExamples/.deps
rm -f IlmImfExamples/Makefile*

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog INSTALL LICENSE NEWS README*
%{_bindir}/*
%{_libdir}/lib*.so.*

%files devel
%defattr(-, root, root)
%doc IlmImfExamples
%{_includedir}/OpenEXR/*.h
%{_libdir}/pkgconfig/OpenEXR.pc
%{_libdir}/lib*.a
%{_libdir}/lib*.so
%{_datadir}/aclocal/openexr.m4

%changelog
* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.6.1-3m)
- rebuild against rpm-4.6

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.6.1-2m)
- rebuild against gcc43

* Thu Mar 27 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.6.1-1m)
- version 1.6.1
- update pkgconfig.patch
- remove no_undefined.patch

* Thu Feb 14 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (1.4.0-3m)
- %%NoSource -> NoSource

* Tue Nov 20 2007 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (1.4.0-2m)
- added patch to fix compilation issue with gcc43

* Tue Nov 14 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.4.0-1m)
- version 1.4.0a
- import openexr-1.4.0-pkgconfig.patch from Fedora Core extras devel
 +* Thu Sep 14 2006 Rex Dieter <rexdieter[AT]users.sf.net> 1.4.0a-3
 +- pkgconfig patch to use Libs.private
- import openexr-1.4.0-no_undefined.patch from Fedora Core extras devel
 +* Tue Aug 29 2006 Rex Dieter <rexdieter[AT]users.sf.net> 1.4.0a-1
 +- IlmThread contains undefined references to stuff in -lpthread
- get rid of *.la files

* Wed Jun 28 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.2.2-2m)
- import OpenEXR-1.2.2-zlib.patch from Fedora Core extras
 +* Sat Feb 18 2006 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 1.2.2-7
 +- Further zlib fixes (#165729)

* Fri Mar 17 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.2.2-1m)
- initial package for koffice-1.5
- import OpenEXR-1.2.2-forwardfriend.patch from Fedora Extras
 +* Tue Aug 16 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 1.2.2-4
 +- Fixed build with GCC 4.0.1
